Package org.eclipse.jgit.api

## Class DeleteTagCommand

- java.lang.Object
- - org.eclipse.jgit.api.GitCommand<List<String>>
  - - org.eclipse.jgit.api.DeleteTagCommand

All Implemented Interfaces:
  `Callable<List<String>>`

    public class DeleteTagCommand
    extends GitCommand<List<String>>

Used to delete one or several tags. The result of `call()` is a list with the (full) names of the deleted tags.

See Also:
  Git documentation about Tag

### Field Summary

### Fields inherited from class org.eclipse.jgit.api.GitCommand

`repo`

### Constructor Summary

Constructors
`protected` `DeleteTagCommand​(Repository repo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `call()` Executes the command
`DeleteTagCommand` `setTags​(String... tags)`

### Methods inherited from class org.eclipse.jgit.api.GitCommand

`checkCallable, getRepository, setCallable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeleteTagCommand

    protected DeleteTagCommand​(Repository repo)

Parameters:
  `repo` -

### Method Detail

#### call

    public List<String> call()
                      throws GitAPIException

Description copied from class: `GitCommand`
Executes the command

Specified by:
  `call` in interface `Callable<List<String>>`
Specified by:
  `call` in class `GitCommand<List<String>>`
Returns:
  the list with the full names of the deleted tags
Throws:
  `GitAPIException` - or subclass thereof when an error occurs

#### setTags

    public DeleteTagCommand setTags​(String... tags)

Parameters:
  `tags` - the names of the tags to delete; if not set, this will do nothing; invalid tag names will simply be ignored
Returns:
  this instance